Skip to main content
GET
/
api
/
v2
/
chatbots
/
{chatbotId}
/
settings
Get settings
curl --request GET \
  --url https://sitegpt.ai/api/v2/chatbots/{chatbotId}/settings \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "data": {
    "setting": {
      "id": "setting-id",
      "name": "Example setting",
      "createdAt": "2026-05-13T00:00:00.000Z"
    }
  },
  "meta": {
    "requestId": "request-id"
  }
}

Documentation Index

Fetch the complete documentation index at: https://sitegpt.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required

Response

Successful SiteGPT API v2 response.

ok
boolean
required
data
object
required
meta
object
required